Subject: [Mg-t] Valve advice please

From: Rick Lindsay <[email-masked]>
Date: Tue, 23 Jul 2013 13:14:39 -0500

Hi Friends,B 

If you've followed along with my '53 TD restoration, you know that valve #2 (inlet) stuck in its guide, causing the push rod to bend then break.

I drifted the valve out without too much force and the guide did not move. B The 'glue' that stuck the valve was burned oil / carbon. Both valve and guide cleaned up perfectly.

Upon removal of the valves I discovered that although they did have the 'neoprene sealing rings', they did NOT have 'oil shields'; using the terms from the workshop manual. B To my mind, this means that without oil seals installed, excess oil may have migrated down the stem-to-guide gaps. B And in the case of #2, burned enough to stick the valve.

Your thoughts? B In your rebuilds, did you install 'oil shields'? B I haven't cracked open my gasket set so I don't know if they are included...

Thanks again, in advance, for your invaluable advice.

-rick
Sent from my Samsung Galaxy SIII - the rectangle with rounded corners, just like a BlackBerry.
______________________________________________

[email-masked]
Archive: http://www.team.net/archive